%bcond_without python

# cvs -d:pserver:anonymous@lirc.cvs.sourceforge.net:/cvsroot/lirc login
# cvs -z8 -d:pserver:anonymous@lirc.cvs.sourceforge.net:/cvsroot/lirc co lirc
%define snapshot	0
%define prever		0
%define rel		5

%if %snapshot
%define release		%mkrel 0.%{snapshot}.%{rel}
%define distname	%{name}-%{snapshot}.tar.bz2
%define dir		%{name}
%else
%if %prever
%define release		%mkrel 0.pre%{prever}.%{rel}
%define distname	%{name}-%{version}pre%{prever}.tar.bz2
%define distdir		%{name}-%{version}pre%{prever}
%else
%define	release		%mkrel %{rel}
%define distname	%{name}-%{version}.tar.bz2
%define distdir		%{name}-%{version}
%endif
%endif

%define	major		0
%define libname 	%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

# Kernel modules are unmaintained and do not build against current
# kernels without more work.
%define build_dkms	0

Summary:	Linux Infrared Remote Control daemons
Name:		lirc
Version:	0.10.2
Release:	%{release}
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.lirc.org/
Source0:	https://prdownloads.sourceforge.net/lirc/%{distname}
Source5:	http://svn.debian.org/viewsvn/pkg-lirc/lirc/trunk/debian/liblircclient0.pc
Source6:	%{name}-tmpfiles.conf
Source1:	README.mageia
Source2:	99-remote-control-lirc.rules
Patch1:		lirc-0.10.2-use-grep-E-instead-of-deprecated-egrep.patch
Patch2:		0002-lirc-setup-Fix-crash-on-start-on-missing-lirc.config.patch
Patch100:	0001-Use-runstatedir-from-upcoming-autoconf-0.70.patch
Patch101:	0001-Update-lirc_options.conf-after-runstatedir-addition.patch
# For patch100
BuildRequires:	autoconf >= 2.69-13
BuildRequires:	doxygen
BuildRequires:	expect
BuildRequires:	man2html
BuildRequires:	pkgconfig(x11)
BuildRequires:	libirman-devel
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libftdi1)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	help2man
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libsystemd)
%if %with python
BuildRequires:	python3-setuptools
BuildRequires:	python3-yaml
Requires:	python3-yaml
%endif
Requires:	python3-gobject3
Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper
Requires(preun):rpm-helper

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

%package -n	%{libname}
Summary:	LIRC libraries
Group:		System/Libraries

%description -n	%{libname}
This package provides the libraries necessary to run lirc client
programs.

%package -n	%{develname}
Summary:	Header and library files for LIRC development
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the files necessary to develop LIRC-based
programs.

%package -n	dkms-%{name}-extra
Summary:	Additional LIRC kernel drivers
Group:		System/Kernel and hardware
Obsoletes:	dkms-lirc-parallel < 0.8.7-1
Provides:	dkms-lirc-parallel = %{version}-%{release}
Obsoletes:	dkms-lirc < 0.9.1
Provides:	dkms-lirc = %{version}-%{release}
Obsoletes:	dkms-lirc-gpio < 0.9.1
Provides:	dkms-lirc-gpio = %{version}-%{release}
Requires(post):	dkms
Requires(preun): dkms

%description -n	dkms-%{name}-extra
This package provides additional LIRC kernel drivers that are not included
in the standard Linux kernel:
 - lirc_atiusb
 - lirc_i2c
 - lirc_wpc8769l

Install this package if you use a device that requires their use.

%package	remotes
Summary:	LIRC remote definitions
Group:		System/Kernel and hardware

%description    remotes
A collection of remote control configuration files for LIRC.

%package	disable-kernel-rc
Summary:	Disable kernel IR device handling in favor of lirc
Requires:	%{name} = %{version}-%{release}
Group:		System/Kernel and hardware

%description  disable-kernel-rc
Udev rule which disables the kernel built-in handling of infrared devices
(i. e., rc* ones) by making lirc the only used protocol. An alternative is
to use the LIRCD_IR_DEVICE option in /etc/sysconfig/lirc.

%prep
%setup -q -n %{distdir}
%autopatch -p1
# Our Arm build nodes run Ubuntu kernel and for some reason
# they decided to use kernel version to set systemd dir path
# to an hardcoded value on Ubuntu and ignore --with-systemdsystemunitdir
sed -i s/Ubuntu/xXXXXXXXx/ configure.ac

%build
autoreconf -fi

%configure	--localstatedir=/var \
		--runstatedir=%{_rundir} \
		--enable-uinput \
		--enable-devinput \
		--with-lockdir=/run/lock/lockdev \
		--with-systemdsystemunitdir=%{_unitdir} \
		--with-x

%make_build LANG=C.utf8

%if %snapshot
make -C doc release
%endif

%install
mkdir -p %{buildroot}%{_datadir}/aclocal
mkdir -p %{buildroot}%{_var}/log

%make_install

# mangle python shebangs
sed -i -e '1s,#!/usr/bin.*python[2,3]\?,#!%__python3,' $(grep -r -l '#!/usr/bin/.*python' %{buildroot}{%{_bindir},%{_sbindir},%{python3_sitearch}/lirc-setup})

cp -a %{SOURCE1} README.mageia
install -Dpm 644 %{SOURCE2} \
    %{buildroot}%{_udevrulesdir}/99-remote-control-lirc.rules

install -m644 %{SOURCE5} -D %{buildroot}%{_libdir}/pkgconfig/liblircclient0.pc
sed -i -e "s/0.8.3/%version/" -e "s^/lib^/%_lib^" %{buildroot}%{_libdir}/pkgconfig/liblircclient0.pc
install -D -p -m 0644 %{SOURCE6} %{buildroot}%{_tmpfilesdir}/%{name}.conf

mkdir -p %{buildroot}%{_sysconfdir}/lirc
cat > %{buildroot}%{_sysconfdir}/lirc/lircd.conf<<END
#
# This is a placeholder for your configuration file.
# See %{_datadir}/%{name}-remotes for some examples.
# You might need to install %{name}-remotes package.
#
END

cp -f %{buildroot}%{_sysconfdir}/lirc/lirc{,m}d.conf

# dkms
%if %build_dkms

for lircsrcdir in %{name}-extra; do

install -d -m755 %{buildroot}/usr/src/$lircsrcdir-%{version}-%{release}
cp -a Makefile Makefile.in Makefile.am acinclude.m4 \
	configure.ac config.status config.h \
	%{buildroot}/usr/src/$lircsrcdir-%{version}-%{release}

# Makefiles call there to unnecessarily regenerate files
echo '#!/bin/true' > %{buildroot}/usr/src/$lircsrcdir-%{version}-%{release}/configure
chmod +x %{buildroot}/usr/src/$lircsrcdir-%{version}-%{release}/configure

done

cp -a drivers %{buildroot}/usr/src/%{name}-extra-%{version}-%{release}

drivers="lirc_atiusb lirc_i2c lirc_wpc8769l"

cat > %{buildroot}/usr/src/%{name}-extra-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{name}"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="droot=\\\$(pwd); for driver in $drivers; do cd \\\$droot/drivers/\\\$driver; make \
	KERNEL_LOCATION=\$kernel_source_dir AUTOMAKE=true AUTOCONF=true ACLOCAL=true; done"
CLEAN="droot=\\\$(pwd); for driver in $drivers; do cd \\\$droot/drivers/\\\$driver; make \
	clean AUTOMAKE=true AUTOCONF=true ACLOCAL=true; done"
AUTOINSTALL=yes
EOF

i=0
for module in $drivers; do
	cat >> %{buildroot}/usr/src/%{name}-extra-%{version}-%{release}/dkms.conf <<-EOF
	BUILT_MODULE_NAME[$i]="$module"
	BUILT_MODULE_LOCATION[$i]="drivers/$module"
	DEST_MODULE_LOCATION[$i]="/kernel/drivers/input/misc"
	EOF
	i=$((i+1))
done
%endif

cat > README.0.8.6-2.upgrade.urpmi <<EOF
As of LIRC 0.8.6, the config file locations have changed to
/etc/lirc/lircd.conf, /etc/lirc/lircmd.conf, and /etc/lirc/lircrc.
Existing files have been moved to these locations automatically.
The socket location has changed to /run/lirc/lircd.
EOF

cat > README.0.9.0-11.upgrade.urpmi <<EOF
The LIRC service now has a configuration file in /etc/sysconfig/lirc.

Existing driver and device configurations should have been automatically
migrated, but in some cases you may need to edit it manually.
EOF

rm -rf %{buildroot}%{_datadir}/lirc/lirc-%{version}.tar.gz
find %{buildroot} -name '*.la' -delete

# Remove recursive loop symlink
rm -f %{buildroot}%{_datadir}/doc/lirc/lirc.org/api-docs/api-docs


%pre
if [ $1 = 2 ] && ! [ -e %{_sysconfdir}/lirc ]; then
	mkdir -p %{_sysconfdir}/lirc
	touch %{_sysconfdir}/lirc/mdv-086-migration
fi

# migrate settings from old sysconfig/service files
if [ $1 = 2 ] && [ -e %{_sysconfdir}/lirc ] && ! [ -e %{_sysconfdir}/sysconfig/lirc ]; then
	driver=
	device=
	
	if [ -e "%{_unitdir}/lircd.service" ] && [ "$(md5sum %{_unitdir}/lircd.service)" != "3172f21552e11c04a41955b2d472134d" ]; then
		# try to keep user modifications of hardcoded lircd.service files
		driver="$(sed -rn 's,^ExecStart.*--driver=([^ ]+).*$,\1,p' %{_unitdir}/lircd.service)"
		device="$(sed -rn 's,^ExecStart.*--device=([^ ]+).*$,\1,p' %{_unitdir}/lircd.service)"

	elif [ -e "%{_sysconfdir}/sysconfig/lircd" ] && [ "$(md5sum %{_sysconfdir}/sysconfig/lircd)" != "c0179720835ceccd7e99ec1c7c0930cf" ]; then
		# try to keep settings from pre-systemd sysconfig files
		driver="$(sed -rn 's,^DRIVER="?([^"]+)"?.*$,\1,p' %{_sysconfdir}/sysconfig/lircd)"
		device="$(sed -rn 's,^DEVICE="?([^"]+)"?.*$,\1,p' %{_sysconfdir}/sysconfig/lircd)"
	fi

	if [ -n "$driver" ] && [ -n "$device" ]; then
		echo "$driver" > %{_sysconfdir}/lirc/mga-090-migration-driver
		echo "$device" > %{_sysconfdir}/lirc/mga-090-migration-device
	fi
fi

%post
%_tmpfilescreate %{name}
%create_ghostfile /var/log/lircd root root 644
if [ $1 = 2 ] && [ -e %{_sysconfdir}/lirc/mdv-086-migration ]; then
	mv -vf %{_sysconfdir}/lircd.conf %{_sysconfdir}/lirc/lircd.conf 2>/dev/null
	mv -vf %{_sysconfdir}/lircmd.conf %{_sysconfdir}/lirc/lircmd.conf 2>/dev/null
	mv -vf %{_sysconfdir}/lircrc %{_sysconfdir}/lirc/lircrc 2>/dev/null
	rm -f %{_sysconfdir}/lirc/mdv-086-migration
fi
if [ $1 = 2 ] && [ -e %{_sysconfdir}/lirc/mga-090-migration-driver ] && [ -e %{_sysconfdir}/lirc/mga-090-migration-device ]; then
	driver="$(cat %{_sysconfdir}/lirc/mga-090-migration-driver)"
	device="$(cat %{_sysconfdir}/lirc/mga-090-migration-device)"
	sed -i "s,^LIRC_DRIVER=.*\$,LIRC_DRIVER=\"$driver\"," %{_sysconfdir}/sysconfig/lirc
	sed -i "s,^LIRC_DEVICE=.*\$,LIRC_DEVICE=\"$device\"," %{_sysconfdir}/sysconfig/lirc
	rm -f %{_sysconfdir}/lirc/mga-090-migration-driver
	rm -f %{_sysconfdir}/lirc/mga-090-migration-device
fi
%_post_service lircd
%_post_service lircmd

%preun
%_preun_service lircmd
%_preun_service lircd

%post -n dkms-%{name}-extra
dkms add     -m %{name}-extra -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{name}-extra -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{name}-extra -v %{version}-%{release} --rpm_safe_upgrade --force
true

%preun -n dkms-%{name}-extra
dkms remove  -m %{name}-extra -v %{version}-%{release} --rpm_safe_upgrade --all
true

%pretrans -p <lua> -n %{develname}
-- Define the path to the symlink being replaced below.
path = "%{_includedir}/lirc/media"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%files
%doc README.0.8.6-2.upgrade.urpmi
%doc README.0.9.0-11.upgrade.urpmi
%doc README.mageia
%doc AUTHORS NEWS README ChangeLog 
%doc contrib/irman2lirc doc/irxevent.keys
%doc doc/html
%{_unitdir}/*
%{_tmpfilesdir}/%{name}.conf
%dir %{_sysconfdir}/lirc
%config(noreplace) %{_sysconfdir}/lirc/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/*/*
%dir %{_datadir}/lirc
%{_datadir}/lirc/contrib/
%{_datadir}/lirc/configs/
%{_datadir}/lirc/python-pkg/
%{_libdir}/lirc/
%{_var}/lib/lirc/
%{python3_sitearch}/*
%{_datadir}/doc/lirc/images

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/pkgconfig/*.pc
%{_includedir}/lirc*
%{_libdir}/*.so
%{_datadir}/doc/lirc/lirc.org/
%{_datadir}/doc/lirc/plugindocs
%{_datadir}/doc/lirc/VERSION
%{_datadir}/lirc/doc/docpage.xsl


%if %build_dkms
%files -n dkms-%{name}-extra
%{_prefix}/src/%{name}-extra-%{version}-%{release}
%endif

%files disable-kernel-rc
%{_udevrulesdir}/99-remote-control-lirc.rules



%changelog
* Thu May 04 2023 daviddavid <daviddavid> 0.10.2-5.mga9
+ Revision: 1955755
- lirc-config-tool: add patch to use `grep -E` instead of deprecated `egrep`

* Thu Mar 30 2023 daviddavid <daviddavid> 0.10.2-4.mga9
+ Revision: 1950851
- devel sub-pkg requires main pkg to fix dangling links:
  * dangling: /usr/share/doc/lirc/plugindocs/var -> ../../../../../var/lib/lirc/plugins
  * dangling: /usr/share/doc/lirc/lirc.org/html/plugins-index.html -> ../../../../../../var/lib/lirc/plugins/index.html

* Sat Nov 12 2022 tmb <tmb> 0.10.2-3.mga9
+ Revision: 1906321
- apply lua pretrans script to correct package

* Fri Nov 11 2022 kekepower <kekepower> 0.10.2-2.mga9
+ Revision: 1905494
- Add lua scriptlet to replace media symlink with a directory

* Thu Nov 10 2022 kekepower <kekepower> 0.10.2-1.mga9
+ Revision: 1905377
- Update to version 0.10.2

* Tue Apr 05 2022 umeabot <umeabot> 0.10.1-13.mga9
+ Revision: 1844891
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 0.10.1-12.mga9
+ Revision: 1787086
- rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 0.10.1-11.mga9
+ Revision: 1710176
- rebuild for python 3.9

* Sun Mar 22 2020 kekepower <kekepower> 0.10.1-10.mga8
+ Revision: 1558883
- Remove recursive loop symlink in docs

* Sun Feb 16 2020 umeabot <umeabot> 0.10.1-9.mga8
+ Revision: 1531529
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 12 2019 wally <wally> 0.10.1-8.mga8
+ Revision: 1440030
- rebuild for python3.8
- mangle python shebangs

* Sat Feb 16 2019 wally <wally> 0.10.1-7.mga7
+ Revision: 1367556
- update lirc_options.conf to also use /run instead of /var/run

* Sat Feb 16 2019 wally <wally> 0.10.1-6.mga7
+ Revision: 1367544
- use /run instead of /var/run as runstatedir
- use /run/lock instead of /var/lock
+ daviddavid <daviddavid>
- add missing dependency on python3-gobject3

* Wed Jan 16 2019 daviddavid <daviddavid> 0.10.1-5.mga7
+ Revision: 1357365
- enable portaudio support

* Wed Jan 16 2019 daviddavid <daviddavid> 0.10.1-4.mga7
+ Revision: 1357361
- add upstream to fix crash on start on missing lirc.config (mga#24102)
- requires python3-yaml

* Tue Jan 08 2019 daviddavid <daviddavid> 0.10.1-3.mga7
+ Revision: 1352792
- rebuild for new Python 3.7

* Fri Sep 28 2018 umeabot <umeabot> 0.10.1-2.mga7
+ Revision: 1309233
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 daviddavid <daviddavid> 0.10.1-1.mga7
+ Revision: 1236667
- new version: 0.10.1
- remove merged upstream patch
- remove unwanted '.la' files

* Sun Jun 03 2018 wally <wally> 0.10.0-5.mga7
+ Revision: 1233975
- drop iguanair BR (unused since lirc >= 0.9.4)

* Sat Jan 27 2018 pterjan <pterjan> 0.10.0-4.mga7
+ Revision: 1197297
- Fix build on arm

* Fri Oct 27 2017 pterjan <pterjan> 0.10.0-3.mga7
+ Revision: 1173916
- Use make_build and drop old comment
- Set systemd unit dir
- Drop not longer supported configure options

* Fri Sep 22 2017 tv <tv> 0.10.0-2.mga7
+ Revision: 1157438
- adjust filelist (was OK locally???)
- adjust filelist (was OK locally???)
- new release

* Fri Feb 05 2016 umeabot <umeabot> 0.9.1a-4.mga6
+ Revision: 939458
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1a-3.mga5
+ Revision: 750320
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1a-2.mga5
+ Revision: 681957
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 luigiwalser <luigiwalser> 0.9.1a-1.mga5
+ Revision: 666890
- 0.9.1a
- remove systemd files (now upstream)
- remove no longer used sysconfig file
- update README.mageia (from fedora)

* Thu Jul 10 2014 luigiwalser <luigiwalser> 0.9.1-1.mga5
+ Revision: 651140
- 0.9.1
- remove upstreamed patches
- fix another format string issue

* Sat Jul 05 2014 pterjan <pterjan> 0.9.0-15.mga5
+ Revision: 643739
- Replace libusb*-devel BuildRequires by better ones

* Tue Mar 04 2014 anssi <anssi> 0.9.0-14.mga5
+ Revision: 599313
- mark sysconfig file as config file

* Mon Mar 03 2014 anssi <anssi> 0.9.0-13.mga5
+ Revision: 598942
- sysconfig: allow LIRCD_OPTIONS to override LIRC_DRIVER and LIRC_DEVICE
  (see bug #12685, suggested by Bit Twister)

* Tue Feb 11 2014 anssi <anssi> 0.9.0-12.mga5
+ Revision: 589362
- drop dkms-lirc-extra for now, the drivers do not work with current
  kernels and do not have an active upstream
- avoid showing upgrade information twice

* Sun Feb 09 2014 anssi <anssi> 0.9.0-11.mga5
+ Revision: 587211
- add /etc/sysconfig/lirc based on Fedora, and migrate major old
  settings from lircd.service and sysconfig/lircd (mgabz #9528)
- add LIRC_IR_DEVICE configuration directive and
  lirc-disable-kernel-rc subpackage as ways to override kernel RC
  protocol allowing LIRC to work properly (mgabz #1265)
- remove udev configuration file which tried to rename /dev/lirc0
  to /dev/lirc/0, the former name is what should be used
  (mgabz #10537)
- remove unneeded requires on setserial
- add a README.mageia file based on Fedora
- add assorted fixes from upstream and Fedora

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-10.mga4
+ Revision: 522643
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 0.9.0-9.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sat Feb 23 2013 guillomovitch <guillomovitch> 0.9.0-8.mga3
+ Revision: 400114
- switch to native systemd services

* Sun Jan 13 2013 colin <colin> 0.9.0-7.mga3
+ Revision: 375472
- Fix udev rules location
- Switch to tmpfiles for [/var]/run dirs

* Sat Jan 12 2013 umeabot <umeabot> 0.9.0-6.mga3
+ Revision: 358865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 0.9.0-5.mga3
+ Revision: 335466
- Better fix for new rpm

* Wed Dec 26 2012 pterjan <pterjan> 0.9.0-4.mga3
+ Revision: 335429
- Workaround new rpm limitation

* Thu Sep 29 2011 fwang <fwang> 0.9.0-3.mga2
+ Revision: 150174
- tighten br

* Fri Sep 09 2011 tv <tv> 0.9.0-2.mga2
+ Revision: 141647
- add missing LSB keywords
+ anssi <anssi>
- new version
  o fixes compatibility with in-kernel LIRC on 64-bit systems
- drop dkms-lirc as most DKMS modules are now in-kernel
- provide dkms-lirc-extra with the missing modules lirc_atiusb, lirc_i2c,
  lirc_wpc8769l (the package obsoletes dkms-lirc)
- drop patch applied upstream

* Fri Jan 14 2011 anssi <anssi> 0.8.7-1.mga1
+ Revision: 17702
- new version
- merge dkms-lirc-parallel back to dkms-lirc
- disable dkms-lirc-gpio for now, it doesn't seem to be useful
  (doesn't build with recent kernels)
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package lirc


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.7-0.20100505.2mdv2011.0
+ Revision: 606411
- rebuild

* Wed May 05 2010 Anssi Hannula <anssi@mandriva.org> 0.8.7-0.20100505.1mdv2010.1
+ Revision: 542273
- new snapshot (fixes build with recent kernels)
- build lirc_dev first (fixes lirc_atiusb and lirc_bt829, bug #57871)

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.8.7-0.20100115.2mdv2010.1
+ Revision: 531218
- rebuild for new irman

* Fri Jan 15 2010 Anssi Hannula <anssi@mandriva.org> 0.8.7-0.20100115.1mdv2010.1
+ Revision: 491869
- new snapshot (fixes DKMS build with recent kernels)

* Mon Oct 26 2009 Anssi Hannula <anssi@mandriva.org> 0.8.6-2mdv2010.0
+ Revision: 459392
- adapt for moved configuration, socket, pid files (fixes #54409)

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.6-1mdv2010.0
+ Revision: 439033
- Update to new stable version 0.8.6
- Remove 2.6.26+ declaration patch: should not be necessary anymore

* Sun Aug 02 2009 Anssi Hannula <anssi@mandriva.org> 0.8.6-0.20090802.1mdv2010.0
+ Revision: 407544
- new snapshot (support for recent kernels)
- remove ftdi patch, fixed upstream
- fix lirc-i2c module build on 2.6.26+ by adding a forward declaration
  (i2c-2.6.26-declaration.patch)

* Tue Jul 14 2009 Anssi Hannula <anssi@mandriva.org> 0.8.5-0.20090320.4mdv2010.0
+ Revision: 395748
- build with iguanaIR support

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.8.5-0.20090320.3mdv2010.0
+ Revision: 374833
- fix pkgconfig file on x86_64

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.8.5-0.20090320.2mdv2010.0
+ Revision: 374798
- add pkgconfig file from Debian (needed by gxine)

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.8.5-0.20090320.1mdv2009.1
+ Revision: 359400
- fix printf format string (printf-format.patch)
- rediff suffix patch
- new snapshot (support for recent kernel versions)
- drop imon.patch, fixed upstream
- fix build without ftdi (fix-conditional-ftdi.patch)
- disable commandir as the directory is empty

* Tue Oct 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.4-3mdv2009.1
+ Revision: 296258
- fix the imon patch (from upstream CVS, incorrect variable name)

* Tue Oct 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.4-2mdv2009.1
+ Revision: 293719
- update imon.patch with subsequent upstream fixes / improvements

* Mon Oct 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.4-1mdv2009.1
+ Revision: 293424
- add imon.patch (from upstream CVS): support two new iMon devices (44148)
- new release 0.8.4 final

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.4-0.pre2.1mdv2009.1
+ Revision: 291715
- simplify our drivers definition a bit as upstream cleaned out obsolete ones
- drop most patches (merged upstream)
- adjust portaudio require (now builds against 19)
- new release 0.8.4-pre2
- improve svn / pre-release conditionals

* Thu Sep 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-4mdv2009.0
+ Revision: 283929
- Change default configuration so lircd is started even if not configured (Fedora), needed for gnome-lirc-properties

* Mon Sep 08 2008 Pascal Terjan <pterjan@mandriva.org> 0.8.3-3mdv2009.0
+ Revision: 282551
- Add upstream patches to build on 2.6.27

* Sun Aug 24 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-2mdv2009.0
+ Revision: 275459
- Patch3 (CVS): don't exit daemon even though device cannot be initialized

* Sun Aug 24 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-1mdv2009.0
+ Revision: 275440
- Release 0.8.3 final
- add patches from Fedora for gnome-lirc-properties support (thanks to Bastien Nocerra) :
 - Patch0 (Fedora): add include directive support for config file
 - Patch1 (upstream): validate transmit buffer
 - Patch2 (Fedora): use new instead of conf as filename suffix in template mode

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.3-0.20080501.2mdv2009.0
+ Revision: 200580
- make sure commandir module gets built and installed

* Thu May 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.3-0.20080501.1mdv2009.0
+ Revision: 199889
- some spec cleaning
- new snapshot

  + Anssi Hannula <anssi@mandriva.org>
    - fix dkms-lirc-gpio description

* Tue Mar 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.2-1.20080310.2mdv2008.1
+ Revision: 184862
- correct the initscript fix (thanks anssi)

* Tue Mar 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.2-1.20080310.1mdv2008.1
+ Revision: 184762
- remove /dev in %%install as it's screwing up fix_eol script
- initscript should only start after dkms-lirc so the module actually exists
- new snapshot

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.2-1.20080128.1mdv2008.1
+ Revision: 159264
- new snapshot (hopefully works better with 2.6.24 final)

* Sat Jan 05 2008 Olivier Blin <oblin@mandriva.com> 0.8.2-1.20080105.1mdv2008.1
+ Revision: 145803
- update to cvs snapshot 20080105 (to fix build with 2.6.24-rc6)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Mon Dec 03 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.2-1.20071203.1mdv2008.1
+ Revision: 114643
- new snapshot 20071203 (see if it works with 2.6.24, current doesn't)

* Thu Oct 11 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.2-1.20071011.1mdv2008.1
+ Revision: 97178
- update buildrequires
- new devel policy
- new license policy
- new snapshot (works with 2.6.23 kernels)

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.8.2-1.20070827.3mdv2008.0
+ Revision: 94683
- rebuild

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.8.2-1.20070827.2mdv2008.0
+ Revision: 94681
- rebuild

* Tue Aug 28 2007 Anssi Hannula <anssi@mandriva.org> 0.8.2-1.20070827.1mdv2008.0
+ Revision: 72759
- cvs snapshot (support for recent kernels)
- use dummy --with-kerneldir to fix build
- adapt dkms package for changes in makefiles
- do not run subsequent dkms commands if one fails

* Sun Jun 10 2007 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2008.0
+ Revision: 37830
- New version

* Fri Apr 20 2007 Anssi Hannula <anssi@mandriva.org> 0.8.1-1mdv
+ Revision: 16385
- 0.8.1 final
- drop patch1 (now unneeded), patch2 (fixed upstream)


* Thu Mar 15 2007 Anssi Hannula <anssi@mandriva.org> 0.8.1-0.20061104.3mdv2007.1
+ Revision: 144511
- move lirc_gpio to dkms-lirc-gpio (#29304)
- use portaudio0
- force zero exit status for post/preun

* Mon Jan 01 2007 Anssi Hannula <anssi@mandriva.org> 0.8.1-0.20061104.2mdv2007.1
+ Revision: 103006
- patch2: fix repeat flag in dev/input driver (from cvs)
- switch service remove order on uninstallation

* Sat Nov 04 2006 Anssi Hannula <anssi@mandriva.org> 0.8.1-0.20061104.1mdv2007.1
+ Revision: 76624
- new snapshot (support for recent kernels)
- drop patch0, patch2, applied upstream
- disable portaudio support on cooker
- move non-smp parallel dkms module to dkms-lirc-parallel (#26764)
- Import lirc

* Sat Sep 23 2006 Olivier Blin <blino@mandriva.com> 0.8.1-0.20060722.4mdv2007.0
- Patch2: fix udev rule (from CVS, #25989)

* Mon Sep 04 2006 Anssi Hannula <anssi@mandriva.org> 0.8.1-0.20060722.3mdv2007.0
- fix dkms build

* Sun Aug 13 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.1-0.20060722.2
- patch1: when checking for libtoolize, do not try to run libtool

* Sun Jul 23 2006 Anssi Hannula <anssi@mandriva.org> 0.8.1-0.20060722.1mdv2007.0
- cvs snapshot (support for recent kernels)
- drop patch1, no longer necessary
- parallelize initscripts
- disable non-working parallel build

* Fri Jan 27 2006 Anssi Hannula <anssi@mandriva.org> 0.8.0-2mdk
- fix buildrequires
- dkms package

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Tue Sep 06 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.1-5mdk
- libtool 1.4 fixes
- revert previous changes

* Sun Aug 28 2005 Erwan Velu <velu@seanodes.com> 0.7.1-4mdk
- Adding missing requires

* Tue Aug 09 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.1-3mdk
- ship with udev rules so that lircmd can work on udev enabled systems

* Tue May 24 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.1-2mdk
- --with-transmitter (from gerard quequet, fixes #14933)
- fix build on older releases

* Tue May 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.1-1mdk
- 0.7.1
- fix executable-marked-as-config-file
- fix no-chkconfig-line
- drop P1 & P3
- cosmetics

* Tue Apr 19 2005 Arnaud de Lorbeau <devel@mandriva.com> 0.7.0-1mdk
- Update 0.7.0
- TODO: Fix autoconf problem

* Wed Aug 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-7mdk
- Add setserial requires (Anthill bug #1017)

